Name:           enlightenment
Version:        0.16.999.050
Release:        5%{?dist}
Summary:        Highly optimized and extensible desktop shell

Group:          User Interface/Desktops
License:        MIT
URL:            http://enlightenment.org/p.php?p=about/e17&l=en
Source0:        http://download.enlightenment.org/snapshots/2008-09-25/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel libXext-devel pkgconfig gettext
BuildRequires:  eet-devel embryo-devel evas-devel ecore-devel edje-devel
BuildRequires:  efreet-devel e_dbus-devel pam-devel

%description
Enlightenment 0.17 is desktop shell based on Enlightenment Foundation
Libraries. It's highly optimized and provides extensive theming capabilities.
A Desktop shell means it's a window manager plus a file manager, plus 
configuration utilitys all in one. It works reasonably fast even on old and low
range computers, providing eye-candy environment.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       eet-devel evas-devel ecore-devel edje-devel e_dbus-devel
Requires:       pkgconfig efreet-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
# strip out bundled vera font, it doesn't support national glyphs
rm -r data/fonts
sed -i \
  -e '\|CONFIG_FILES="\$CONFIG_FILES data/fonts/Makefile"|d' \
  -e 's|data/fonts/Makefile||' \
  configure #; chmod +x configure
sed -i -e 's|fonts||' data/Makefile.in
# remove font aliases to make edje fall back to default font (dejavu)
sed -i -e '\|\.ttf|d' data/{init,themes}/default.edc
# backport enlightenment.pc.in fix from trunk
sed -i -e 's|Libs:\ .*$|Libs: -L${libdir}|' enlightenment.pc.in


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
# config.h is used only while building E itself
sed -i -e '\|#include\ "config.h"|d' $RPM_BUILD_ROOT%{_includedir}/%{name}/e.h
find $RPM_BUILD_ROOT -name '*.la' -delete
# remove improperly placed docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/AUTHORS
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/COPYING
# remove enlightenment_sys which is broken anyway
rm -rf $RPM_BUILD_ROOT%{_bindir}/%{name}_sys
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/sysactions.conf
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_bindir}/%{name}
%{_bindir}/%{name}_*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/xsessions/%{name}.desktop


%files devel
%defattr(-,root,root,-)
# originally improperly placed docs
%doc doc/*.txt doc/*.html doc/*.png
%{_bindir}/%{name}-config
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.16.999.050-5
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.999.050-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.999.050-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 0.16.999.050-2
- rebuild with new openssl

* Sun Nov 30 2008 Pavel "Stalwart" Shevchuk - 0.16.999.050-1
- New upstream snapshot

* Sun Nov 23 2008 Pavel "Stalwart" Shevchuk - 0.16.999.043-4
- Changed summary to be more descriptive

* Sat Aug 30 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.16.999.043-3
- One more directory ownership fix
- Backported enlightenment.pc.in from trunk
- Strip unneeded config.h include from e.h

* Sat Jul 26 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.16.999.043-2
- Added missing efreet-devel require to enlightenment-devel
- Removed broken enlightenment_sys
- Removed more improperly placed docs
- Fixed directory ownership

* Mon May 20 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.16.999.043-1
- Initial specfile for Enlightenment
